import { MarkerSeriesDescription } from "./MarkerSeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class PolarBaseDescription extends MarkerSeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ck;
    get angleMemberPath(): string;
    set angleMemberPath(a: string);
    private cm;
    get radiusMemberPath(): string;
    set radiusMemberPath(a: string);
    private cj;
    get angleAxisRef(): string;
    set angleAxisRef(a: string);
    private cl;
    get radiusAxisRef(): string;
    set radiusAxisRef(a: string);
    private b7;
    get useCartesianInterpolation(): boolean;
    set useCartesianInterpolation(a: boolean);
    private cc;
    get maximumMarkers(): number;
    set maximumMarkers(a: number);
    private co;
    get trendLineType(): string;
    set trendLineType(a: string);
    private cn;
    get trendLineBrush(): string;
    set trendLineBrush(a: string);
    private ci;
    get actualTrendLineBrush(): string;
    set actualTrendLineBrush(a: string);
    private ca;
    get trendLineThickness(): number;
    set trendLineThickness(a: number);
    private cd;
    get trendLinePeriod(): number;
    set trendLinePeriod(a: number);
    private ce;
    get trendLineZIndex(): number;
    set trendLineZIndex(a: number);
    private b6;
    get clipSeriesToBounds(): boolean;
    set clipSeriesToBounds(a: boolean);
}
